package com.ruoyi.system.mapper_shate;

import com.ruoyi.system.domain_shate.*;
import org.apache.ibatis.annotations.Param;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:22
 */
public interface RegionalFactorMapper {

    List<WaterFactor>  sqlWater(@Param("zone") String zone,
                                @Param("year") String year);

    List<WaterFactor> sqlYear();

    List<RegionIndex>  sqlRegion(@Param("zone") String zone,
                                 @Param("year") String year);

    List<RegionIndex> sqlYear1();

    List<RoadFactor>  sqlRoad(@Param("zone") String zone,
                              @Param("year") String year);

    List<RoadFactor> sqlYear2();

    List<Climate> sqlClimate(@Param("zone") String zone);

    Integer InsertWater(WaterFactor factor);

    Integer InsertWaterArea(RegionIndex index);

    Integer InsertRoadLength(RegionIndex index);

    Integer InsertRoad(RoadFactor factor);
}
